Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
Phương Anh

Lấy layer hiện hành

Các bài được khuyến nghị

Nhờ các anh giúp em đoạn mã lấy lớp hiện hành và trả lại lớp đó ở trạng thái current sau khi thực hiện một lisp.

Cảm ơn các anh.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Nhờ các anh giúp em đoạn mã lấy lớp hiện hành và trả lại lớp đó ở trạng thái current sau khi thực hiện một lisp.

Cảm ơn các anh.

Chào Phương Anh.

Bạn sử dụng Code này thử nhé :

 

(defun c:lcur()

(setq str (getstring t "\n Nhap ten layer hoac Enter de pick vao doi tuong :"))

(if (= str "")

(progn

(while (null (setq e (entsel "\n pick vao doi tuong :"))))

(setvar "clayer" (cdr(assoc 8 (entget(car e)))))

)

(progn

(while (null (tblsearch "layer" str))

(setq str (getstring t "\n Nhap lai ten layer :"))

)

(setvar "clayer" str))

)

 

(princ)

)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442
Nhờ các anh giúp em đoạn mã lấy lớp hiện hành và trả lại lớp đó ở trạng thái current sau khi thực hiện một lisp.

Cảm ơn các anh.

Bạn tham khảo Lisp sau :

(defun c:lcur(/ cur_lay)

(setq cur_lay (getvar "clayer" ));lay ten layer hien hanh

(princ (strcat "\nTen layer hien hanh : " cur_lay) )

 

; thuc hien mot lisp nao do.

; vd : tao layer co ten CadViet

(command "-layer" "n" "CadViet" "")

 

;tra ve ten layer hien hanh

(setvar "clayer" cur_lay)

(princ)

)

  • Vote tăng 4

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×